package com.composition.android.lib.ad.basic

import android.app.Activity
import com.composition.android.lib.ad.interfaces.AdListener

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/9/6
 * description: 原生广告View配置类，指定相关视图
 */
class BannerAdViewHolder(
    var adListener : AdListener? = null,
    var activity : Activity? = null, //穿山甲广告需要
) {


    companion object{

        fun buildBannerAdViewHolder(viewHolder : BannerAdViewHolder.()-> Unit) : BannerAdViewHolder{
            return BannerAdViewHolder().also(viewHolder)
        }

    }

}

fun buildBannerAdViewHolder(viewHolder: BannerAdViewHolder.() -> Unit) = BannerAdViewHolder.buildBannerAdViewHolder(viewHolder)